--- notification-inbox

alter table notifications add updated_at timestamp with time zone;
alter table notifications add resolved number(1);

update notifications set resolved = 1;


create table notification_inboxes (
    user_id number(19) primary key references users(id),
    unresolved number(19) not null,

    created_at timestamp with time zone not null,
    updated_at timestamp with time zone not null
);

create index notifications_viol_ix on notifications(target_violation_id);
